#!/bin/sh

cp -r ./public ../dist/public_html
for dir in "turing-machine" "euler-golf" "godel"; do
  mv staticsimponic/$dir ../dist/public_html/$dir
done

cd the-abstraction-engine/
npm install
npx vite build --base /~simponic/the-abstraction-engine/
cd ..
cp -r the-abstraction-engine/dist ../dist/public_html/the-abstraction-engine

mkdir -p ../dist/fruitvote
cd fruitvote
go build -o ../../dist/fruitvote/fruitvote
cp start.sh ../../dist/fruitvote/start.sh
cp -r templates ../../dist/fruitvote/templates
cp -r fruits.json ../../dist/fruitvote/fruits.json
cd ..

echo "finished building HTML"

