#!/bin/sh

set -e

git submodule update --init --depth 1

mkdir -p dist
pwd=$PWD

for source in "html" "gemini" "gopher"; do
    cd $source
    echo "building $source..."
    ./build.sh

    cd $pwd
done
